/*
 * qmlinfo is an application for extracting information about provided qml types from qml plugins
 * Copyright (C) 2017 Aleksei Nikiforov <darktemplar@basealt.ru>
 * Copyright (C) 2017 Oleg Solovyov <mcpain@basealt.ru>
 * Copyright (C) 2017 Sergey V Turchin <zerg@altlinux.org>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 *
 */

#include <QGuiApplication>

#include "rpmbqml-qmlinfo-helper.h"

int main(int argc, char **argv)
{
	qputenv("QT_QPA_PLATFORM", QByteArrayLiteral("minimal"));
	QGuiApplication app(argc, argv);

	if (argc != 3) {
		qWarning("Usage: %s path uri", argv[0]);
		return -1;
	}

	Helper(&app, QLatin1String(argv[1]), QLatin1String(argv[2]));

	return 0;
}
